### Enumeration

# Snapd Confinement

since: 1.0

#### Declaration

    enum Snapd.Confinement

#### Description [src]

Confinement used by a snap.

Available since: 1.0

#### Members

`SNAPD_CONFINEMENT_UNKNOWN`

  The confinement of the snap is unknown.

  - Value: `0`
  - Available since: 1.0
`SNAPD_CONFINEMENT_STRICT`

  The snap is using confinement.

  - Value: `1`
  - Available since: 1.0
`SNAPD_CONFINEMENT_DEVMODE`

  The snap is in dev mode (i.e. unconfined).

  - Value: `2`
  - Available since: 1.0
`SNAPD_CONFINEMENT_CLASSIC`

  The snap is using classic confinement.

  - Value: `3`
  - Available since: 1.0